summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh19
1 files changed, 3 insertions, 16 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index 8b2b2c0..dc56539 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,19 +1,6 @@
#!/bin/sh
-set -e
-
-# use libtoolize if available, otherwise look for glibtoolize (darwin)
-if (libtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=libtoolize
-elif (glibtoolize --version) < /dev/null > /dev/null 2>&1; then
- LIBTOOLIZE=glibtoolize
-else
- echo "libtoolize or glibtoolize was not found! Please install libtool." 1>&2
- exit 1
+if ! test -d m4 ; then
+ mkdir m4
fi
-
-$LIBTOOLIZE --copy --force || exit 1
-aclocal || exit 1
-autoheader || exit 1
-autoconf || exit 1
-automake -a -c || exit 1
+autoreconf -ivf || exit 1